Ruby - Bug #9391

Segfault after upgrade from ruby 2.0 to 2.1
01/10/2014 07:16 PM - lars.vonk@gmail.com (Lars Vonk)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 2.1.0 Backport:

Description
Hi,

| also this message on the rubyforum but no reaction so far, therefor | am posting here as well. | upgraded our Sinatra app to ruby 2.1
and running our tests immediately result in a segfault. Attached my dependencies with versions and the full error message. Maybe
someone can check if this has got to do with ruby 2.1 or one of my gems. | can't figure out were to start looking. Any pointers are

helpful.
Thanks in advance,

Lars

Related issues:
Is duplicate of Ruby - Bug #9309: Crash while running tests

Closed

12/27/2013

History

#1 - 01/13/2014 02:43 AM - hsbt (Hiroshi SHIBATA)
- Tracker changed from Backport to Bug

- Project changed from 17 to Ruby

- ruby -v set to ruby 2.1.0

#2 - 01/13/2014 04:39 AM - nobu (Nobuyoshi Nakada)
- Related to Bug #9309: Crash while running tests added

#3 - 01/13/2014 04:39 AM - nobu (Nobuyoshi Nakada)
- Related to deleted (Bug #9309: Crash while running tests)

#4 - 01/13/2014 04:40 AM - nobu (Nobuyoshi Nakada)
- Is duplicate of Bug #9309: Crash while running tests added

#5 - 01/13/2014 04:40 AM - nobu (Nobuyoshi Nakada)
- Status changed from Open to Closed

Files
Gemfile.lock.txt 7.4 KB 01/10/2014 lars.vonk@gmail.com (Lars Vonk)
segfault.txt 179 KB 01/10/2014 lars.vonk@gmail.com (Lars Vonk)

07/30/2025

1/1



http://www.tcpdf.org

